#include <bits/stdc++.h>
using namespace std;
int main()
{
	freopen("bai3_16.inp", "r", stdin);
	freopen("bai3_16.out", "w", stdout);
 	int n;
 	cin>>n;
 	int a[n];
 	for(int i=0; i<n; i++)
 	{
 		cin>>a[i];
	}
	sort(a, a+n);
	if(a[0]!=1) 
	{
		cout<<"1";
		return 0;
	}
	for (int i=1; i<n; i++)
	{
		if(a[i]-a[i-1]>1)
		{
			cout<<a[i-1]+1;
			return 0;
		}
	}
	cout<<a[n-1]+1;
}

